Enumerations

# network_widget.h File Reference

Types related to the network widgets. More...

Go to the source code of this file.

## Enumerations
enum | NetworkGameWidgets { WID_NG_MAIN, WID_NG_CONNECTION, WID_NG_CONN_BTN, WID_NG_CLIENT_LABEL, WID_NG_CLIENT, WID_NG_HEADER, WID_NG_NAME, WID_NG_CLIENTS, WID_NG_MAPSIZE, WID_NG_DATE, WID_NG_YEARS, WID_NG_INFO, WID_NG_MATRIX, WID_NG_SCROLLBAR, WID_NG_LASTJOINED_LABEL, WID_NG_LASTJOINED, WID_NG_LASTJOINED_SPACER, WID_NG_DETAILS, WID_NG_DETAILS_SPACER, WID_NG_JOIN, WID_NG_REFRESH, WID_NG_NEWGRF, WID_NG_NEWGRF_SEL, WID_NG_NEWGRF_MISSING, WID_NG_NEWGRF_MISSING_SEL, WID_NG_FIND, WID_NG_ADD, WID_NG_START, WID_NG_CANCEL }
| Widgets of the NetworkGameWindow class. More...
enum | NetworkStartServerWidgets { WID_NSS_BACKGROUND, WID_NSS_GAMENAME_LABEL, WID_NSS_GAMENAME, WID_NSS_SETPWD, WID_NSS_CONNTYPE_LABEL, WID_NSS_CONNTYPE_BTN, WID_NSS_CLIENTS_LABEL, WID_NSS_CLIENTS_BTND, WID_NSS_CLIENTS_TXT, WID_NSS_CLIENTS_BTNU, WID_NSS_COMPANIES_LABEL, WID_NSS_COMPANIES_BTND, WID_NSS_COMPANIES_TXT, WID_NSS_COMPANIES_BTNU, WID_NSS_SPECTATORS_LABEL, WID_NSS_SPECTATORS_BTND, WID_NSS_SPECTATORS_TXT, WID_NSS_SPECTATORS_BTNU, WID_NSS_LANGUAGE_LABEL, WID_NSS_LANGUAGE_BTN, WID_NSS_GENERATE_GAME, WID_NSS_LOAD_GAME, WID_NSS_PLAY_SCENARIO, WID_NSS_PLAY_HEIGHTMAP, WID_NSS_CANCEL }
| Widgets of the NetworkStartServerWindow class. More...
enum | NetworkLobbyWidgets { WID_NL_BACKGROUND, WID_NL_TEXT, WID_NL_HEADER, WID_NL_MATRIX, WID_NL_SCROLLBAR, WID_NL_DETAILS, WID_NL_JOIN, WID_NL_NEW, WID_NL_SPECTATE, WID_NL_REFRESH, WID_NL_CANCEL }
| Widgets of the NetworkLobbyWindow class. More...
enum | ClientListWidgets { WID_CL_PANEL }
| Widgets of the NetworkClientListWindow class. More...
enum | ClientListPopupWidgets { WID_CLP_PANEL }
| Widgets of the NetworkClientListPopupWindow class. More...
enum | NetworkJoinStatusWidgets { WID_NJS_BACKGROUND, WID_NJS_CANCELOK }
| Widgets of the NetworkJoinStatusWindow class. More...
enum | NetworkCompanyPasswordWidgets { WID_NCP_BACKGROUND, WID_NCP_LABEL, WID_NCP_PASSWORD, WID_NCP_SAVE_AS_DEFAULT_PASSWORD, WID_NCP_CANCEL, WID_NCP_OK }
| Widgets of the NetworkCompanyPasswordWindow class. More...

## Detailed Description

Types related to the network widgets.

Definition in file network_widget.h.

## Enumeration Type Documentation

enum ClientListPopupWidgets

Widgets of the NetworkClientListPopupWindow class.

Enumerator:

  WID_CLP_PANEL | Panel of the window.

Definition at line 107 of file network_widget.h.

enum ClientListWidgets

Widgets of the NetworkClientListWindow class.

Enumerator:

  WID_CL_PANEL | Panel of the window.

Definition at line 102 of file network_widget.h.

enum NetworkCompanyPasswordWidgets

Widgets of the NetworkCompanyPasswordWindow class.

Enumerator:

  WID_NCP_BACKGROUND | Background of the window.
  WID_NCP_LABEL | Label in front of the password field.
  WID_NCP_PASSWORD | Input field for the password.
  WID_NCP_SAVE_AS_DEFAULT_PASSWORD | Toggle 'button' for saving the current password as default password.
  WID_NCP_CANCEL | Close the window without changing anything.
  WID_NCP_OK | Safe the password etc.

Definition at line 118 of file network_widget.h.

enum NetworkGameWidgets

Widgets of the NetworkGameWindow class.

Enumerator:

  WID_NG_MAIN | Main panel.
  WID_NG_CONNECTION | Label in front of connection droplist.
  WID_NG_CONN_BTN | 'Connection' droplist button.
  WID_NG_CLIENT_LABEL | Label in front of client name edit box.
  WID_NG_CLIENT | Panel with editbox to set client name.
  WID_NG_HEADER | Header container of the matrix.
  WID_NG_NAME | 'Name' button.
  WID_NG_CLIENTS | 'Clients' button.
  WID_NG_MAPSIZE | 'Map size' button.
  WID_NG_DATE | 'Date' button.
  WID_NG_YEARS | 'Years' button.
  WID_NG_INFO | Third button in the game list panel.
  WID_NG_MATRIX | Panel with list of games.
  WID_NG_SCROLLBAR | Scrollbar of matrix.
  WID_NG_LASTJOINED_LABEL | Label "Last joined server:".
  WID_NG_LASTJOINED | Info about the last joined server.
  WID_NG_LASTJOINED_SPACER | Spacer after last joined server panel.
  WID_NG_DETAILS | Panel with game details.
  WID_NG_DETAILS_SPACER | Spacer for game actual details.
  WID_NG_JOIN | 'Join game' button.
  WID_NG_REFRESH | 'Refresh server' button.
  WID_NG_NEWGRF | 'NewGRF Settings' button.
  WID_NG_NEWGRF_SEL | Selection 'widget' to hide the NewGRF settings.
  WID_NG_NEWGRF_MISSING | 'Find missing NewGRF online' button.
  WID_NG_NEWGRF_MISSING_SEL | Selection widget for the above button.
  WID_NG_FIND | 'Find server' button.
  WID_NG_ADD | 'Add server' button.
  WID_NG_START | 'Start server' button.
  WID_NG_CANCEL | 'Cancel' button.

Definition at line 16 of file network_widget.h.

enum NetworkJoinStatusWidgets

Widgets of the NetworkJoinStatusWindow class.

Enumerator:

  WID_NJS_BACKGROUND | Background of the window.
  WID_NJS_CANCELOK | Cancel / OK button.

Definition at line 112 of file network_widget.h.

enum NetworkLobbyWidgets

Widgets of the NetworkLobbyWindow class.

Enumerator:

  WID_NL_BACKGROUND | Background of the window.
  WID_NL_TEXT | Heading text.
  WID_NL_HEADER | Header above list of companies.
  WID_NL_MATRIX | List of companies.
  WID_NL_SCROLLBAR | Scroll bar.
  WID_NL_DETAILS | Company details.
  WID_NL_JOIN | 'Join company' button.
  WID_NL_NEW | 'New company' button.
  WID_NL_SPECTATE | 'Spectate game' button.
  WID_NL_REFRESH | 'Refresh server' button.
  WID_NL_CANCEL | 'Cancel' button.

Definition at line 87 of file network_widget.h.

enum NetworkStartServerWidgets

Widgets of the NetworkStartServerWindow class.

Enumerator:

  WID_NSS_BACKGROUND | Background of the window.
  WID_NSS_GAMENAME_LABEL | Label for the game name.
  WID_NSS_GAMENAME | Background for editbox to set game name.
  WID_NSS_SETPWD | 'Set password' button.
  WID_NSS_CONNTYPE_LABEL | Label for 'connection type'.
  WID_NSS_CONNTYPE_BTN | 'Connection type' droplist button.
  WID_NSS_CLIENTS_LABEL | Label for 'max clients'.
  WID_NSS_CLIENTS_BTND | 'Max clients' downarrow.
  WID_NSS_CLIENTS_TXT | 'Max clients' text.
  WID_NSS_CLIENTS_BTNU | 'Max clients' uparrow.
  WID_NSS_COMPANIES_LABEL | Label for 'max companies'.
  WID_NSS_COMPANIES_BTND | 'Max companies' downarrow.
  WID_NSS_COMPANIES_TXT | 'Max companies' text.
  WID_NSS_COMPANIES_BTNU | 'Max companies' uparrow.
  WID_NSS_SPECTATORS_LABEL | Label for 'max spectators'.
  WID_NSS_SPECTATORS_BTND | 'Max spectators' downarrow.
  WID_NSS_SPECTATORS_TXT | 'Max spectators' text.
  WID_NSS_SPECTATORS_BTNU | 'Max spectators' uparrow.
  WID_NSS_LANGUAGE_LABEL | Label for 'language spoken'.
  WID_NSS_LANGUAGE_BTN | 'Language spoken' droplist button.
  WID_NSS_GENERATE_GAME | New game button.
  WID_NSS_LOAD_GAME | Load game button.
  WID_NSS_PLAY_SCENARIO | Play scenario button.
  WID_NSS_PLAY_HEIGHTMAP | Play heightmap button.
  WID_NSS_CANCEL | 'Cancel' button.

Definition at line 55 of file network_widget.h.